
[![Autocode](https://rawgit.com/crystal/autocode/master/.autocode/image.svg)](https://autocode.run)



# Table of Contents

- [Introduction](#intro)
- [Install](#install)
- [Take a Tour](#tour)
- [Documentation](#docs)

<a name="intro"></a>

# Introduction

Autocode is the ultimate developer platform.

It combines **metaprogramming**, **code generation**, **code automation** and a **[powerful user interface](https://app.autocode.run)** to help you:

- Quickly build full stacks: frontends, backends and everything in between.
- Instantly add **anything** to your stack: frameworks, package managers, build tools, scripts and more.
- Go **beyond project scaffolding** - Autocode is with you through the life of your projects to help you innovate with every iteration.
- Generate code for **any language and framework** and automate the development of apps, websites, APIs and any other software.

Learn more [here](https://autocode.run).

<a name="install"></a>

# Install

Choose an Interface:

- [Command-Line](#install-cli)
- [JavaScript (Node.js)](#install-js)

<a name="install-cli"></a>

## Command-Line

Use [npm](https://npmjs.com) or [Homebrew](https://brew.sh) to install the Command-Line interface of Autocode:

```sh
npm install autocode -g # most popular
brew install autocode # mac only
```

<a name="install-js"></a>

## JavaScript (Node.js)

Use [npm](https://npmjs.com) to install the JavaScript interface of Autocode:

```sh
npm install autocode
```

<a name="tour"></a>

# Take a Tour

Try Autocode online here:

[https://app.autocode.run/#tour](https://app.autocode.run/#tour)

<a name="docs"></a>

# Documentation

View Autocode's Official Documentation here:

[https://crystal.readme.io](https://crystal.readme.io)

